Bug 211911 - REGRESSION (r260717): installmentConfiguration member is no longer available on ApplePayPaymentRequest
Summary: REGRESSION (r260717): installmentConfiguration member is no longer available ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-05-14 11:29 PDT by Andy Estes
Modified: 2020-05-16 12:14 PDT (History)
8 users (show)

See Also:


Attachments
Patch (20.33 KB, patch)
2020-05-14 11:32 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (20.43 KB, patch)
2020-05-14 11:35 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (21.10 KB, patch)
2020-05-15 17:22 PDT, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2020-05-14 11:29:52 PDT
REGRESSION (r260717): installmentConfiguration member is no longer available on ApplePayPaymentRequest
Comment 1 Andy Estes 2020-05-14 11:32:53 PDT
Created attachment 399385 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2020-05-14 11:33:16 PDT
<rdar://problem/63236367>
Comment 3 Andy Estes 2020-05-14 11:35:25 PDT
Created attachment 399386 [details]
Patch
Comment 4 Alex Christensen 2020-05-14 11:55:07 PDT
Thanks, Andy!
Comment 5 Andy Estes 2020-05-14 12:05:28 PDT
Comment on attachment 399386 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=399386&action=review

> Source/WebCore/Modules/applepay/PaymentInstallmentConfiguration.mm:46
> +    NSNumberFormatter *numberFormatter = [[NSNumberFormatter alloc] init];

Wenson pointed out that this needs to be a RetainPtr. Will fix.
Comment 6 Andy Estes 2020-05-15 17:22:49 PDT
Created attachment 399531 [details]
Patch
Comment 7 EWS 2020-05-16 12:14:02 PDT
Committed r261785: <https://trac.webkit.org/changeset/261785>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 399531 [details].